## ntp 4.2.8p12+dfsg

=== debian/changelog ===
ntp (1:4.2.8p12+dfsg-4) unstable; urgency=medium

  * CVE-2019-8936: Crafted null dereference attack in authenticated
    mode 6 packet (Closes: #924228)
  * ntp: exit 0 from init script if daemon does not exist (Closes: #764546)
  * Drop locking from ntp initscript/systemd-wrapper
  * Only delete ntpd statistics files in cronjob (Closes: #772790)

 -- Bernhard Schmidt <berni@debian.org>  Thu, 21 Mar 2019 23:42:36 +0100

=== debian/control ===
Source: ntp
Section: net
Priority: optional
Maintainer: Debian NTP Team <ntp@packages.debian.org>
Uploaders: Kurt Roeckx <kurt@roeckx.be>,
           Bernhard Schmidt <berni@debian.org>
Build-Depends: autogen,
               debhelper (>= 10),
               dh-apparmor,
               libcap2-dev [linux-any],
               libedit-dev,
               libevent-dev,
               libopts25-dev,
               libssl-dev,
               pkg-config,
               pps-tools [linux-any]
Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
Standards-Version: 4.1.3.0
Rules-Requires-Root: no
Homepage: http://support.ntp.org/
Vcs-Browser: https://salsa.debian.org/pkg-ntp-team/ntp
Vcs-Git: https://salsa.debian.org/pkg-ntp-team/ntp.git

Package: ntp
Architecture: any
Depends: adduser,
         lsb-base (>= 3.2-13),
         netbase,
         tzdata,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sntp, ${perl:Depends}
Suggests: ntp-doc
Breaks: apparmor-profiles-extra (<< 1.8)
Replaces: apparmor-profiles-extra (<< 1.8)
Description: Network Time Protocol daemon and utility programs
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 This package contains the NTP daemon and utility programs.  An NTP
 daemon needs to be running on each host that is to have its clock
 accuracy controlled by NTP.  The same NTP daemon is also used to
 provide NTP service to other hosts.
 .
 For more information about the NTP protocol and NTP server
 configuration and operation, install the package "ntp-doc".

Package: ntpdate
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Description: client for setting system time from NTP servers (deprecated)
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 ntpdate is deprecated. Please use sntp instead for manual or scripted
 NTP queries/syncs.

Package: ntp-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Description: Network Time Protocol documentation
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 This package contains HTML documentation for the ntp packages (ntp,
 ntpdate).  Since there are no substantive man pages for ntp's
 programs and configuration files, this package is desirable for any
 setup beyond the simple default configuration.

Package: sntp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ntp (<<1:4.2.8p10+dfsg-3+exp3)
Replaces: ntp (<<1:4.2.8p10+dfsg-3+exp3)
Description: Network Time Protocol - sntp client
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 sntp can be used as an SNTP client to query a NTP or SNTP server and
 either display the time or set the local system's time. It is not
 sufficient, however, for maintaining an accurate clock in the long run.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -D_GNU_SOURCE
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS) -fno-strict-aliasing
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	# autoreconf is already called by ./bootstrap
	dh $@ --without autoreconf

override_dh_auto_configure:
ifeq (hurd, $(DEB_HOST_ARCH_OS))
	# hurd does not provided the system calls needed for ntpd to work.
	exit 1
endif
	# This is necessary for the changes in sntp-kod-location.patch to
	# take effect
	rm sntp/sntp-opts.c
	./bootstrap

	dh_auto_configure -- CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--enable-all-clocks --enable-parse-clocks --enable-SHM \
		--enable-debugging --sysconfdir=/var/lib/ntp \
		--with-lineeditlibs=edit \
		--without-ntpsnmpd \
		--disable-local-libopts \
		--disable-local-libevent \
		--enable-ntp-signd \
		--disable-dependency-tracking \
		--with-locfile=debian \
		--with-openssl-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	install -D -m 0755 scripts/ntpsweep/ntpsweep debian/ntp/usr/bin/ntpsweep
	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
	install -D -m 0755 debian/ntp.networkmanager debian/ntp/etc/NetworkManager/dispatcher.d/ntp
	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian

	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf

	# install apparmor profile
	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd

	# install apport hook
	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py

	# Remove empty directory (/usr/libexec/)
	find debian/tmp -type d -empty -delete

	ls -laR debian/tmp/usr/share/man/
	dh_install --fail-missing

	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*

override_dh_installinit:
	dh_installinit -pntp --error-handler=installinit_error --no-restart-after-upgrade
	dh_installinit -pntpdate --no-restart-after-upgrade
	dh_apparmor --profile-name=usr.sbin.ntpd -pntp

override_dh_auto_test:
# Make the test suite fatal on arches where it works
ifneq (,$(filter amd64 i386 arm64 armhf mips64el, $(DEB_HOST_ARCH)))
	dh_auto_test
else
	dh_auto_test || echo "Ignoring testsuite error"
endif

## ntp 4.2.8p12+dfsg-4+cl4.3.1u4

=== debian/changelog ===
ntp (1:4.2.8p12+dfsg-4+cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    f17772da9f6341eed12cdd5f91ed165cebba6170

 -- root <root@7490f848894d>  Wed, 15 Jun 2022 00:55:38 +0000

ntp (1:4.2.8p12+dfsg-4+cl4.3.0u1) released; urgency=medium

  * Version 4.2.8p12+dfsg-4+cl4.3.0u1 for CL 4.3.0.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 09 Dec 2020 13:25:45 -0800

ntp (1:4.2.8p12+dfsg-4+cl4.2.1+u3) unstable; urgency=medium

  * CM-30206: Do not install /etc/dhcp/dhclient-exit-hooks.d/{ntp,ntpdate}.

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 04 Dec 2020 10:47:11 -0800

ntp (1:4.2.8p12+dfsg-4+cl4.2.1+u2) unstable; urgency=medium

  * ntp.service and ntp@.service for systemd set PIDFile=/run/ntpd.pid

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 06 Oct 2020 16:21:00 -0700

ntp (1:4.2.8p12+dfsg-4+cl4.2.1+u1) unstable; urgency=medium

  * ntp.service and ntp@.service for systemd set PIDFile=/var/run/ntpd.pid

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 02 Oct 2020 18:15:00 -0700

ntp (1:4.2.8p12+dfsg-4+cl4u13) released; urgency=medium

  * Apply patches for CVE-2020-11868 (NTP bug 3592) from revisions
    1.3873.1.2 and 1.3873.1.3 at bk.ntp.org.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 21 May 2020 10:00:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u12) unstable; urgency=medium

  * Create /usr/lib/systemd/system-preset/91-systemd.no.ntp.preset
    with "disable ntp.service" on "postinst configure" and remove
    that file on "prerm remove".

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 06 Apr 2020 19:58:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u11) unstable; urgency=medium

  * More changes to start only ntp@mgmt and not ntp:
  * Add --no-start to dh_installinit in rules.
  * Use generated debhelper from this Debian 10 source instead
    of copied from Debian 9 version for ntp.postinst.

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 06 Apr 2020 17:16:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u10) unstable; urgency=medium

  * Have ntp.service be the same as ntp@.service (not a no-op).

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 06 Apr 2020 13:36:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u9) unstable; urgency=medium

  * In ntp.conf, use "server" instead of "pool" to match older versions.

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 24 Feb 2020 17:57:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u8) unstable; urgency=medium

  * Forgot to make ntp.service have ExecStart be a no-op in last change.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 18:34:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u7) unstable; urgency=medium

  * Add ntp.service with ExecStart as a no-op in addition to ntp@.service .

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 17:25:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u6) unstable; urgency=medium

  * The following changes are made to have ntp run only as an
    instantiated service (ntp@mgmt) by systemd.
  * Rename ntp.service to ntp@.service .
  * Change debian/rules to install ntp@.service instead of ntp.service .

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 15:37:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u5) unstable; urgency=medium

  * Revert previous change since it causes vrf.conf to treat ntp as
    a no-op.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 14:05:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u4) unstable; urgency=medium

  * In debian/ntp.service (to be installed as
    /lib/systemd/system/ntp.service ), make the ExecStart a no-op
    so that it will not conflict with ntp@mgmt.service started by
    vrf.conf .

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 12:45:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u3) unstable; urgency=medium

  * In debian/rules, change binary-arch so that dh_systemd_enable and
    dh_systemd_start disable ntp.service to avoid conflict with
    ntp@mgmt.service.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 10:20:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u2) unstable; urgency=medium

  * Run ntp as ntp@mgmt.service instead of ntp.service by default to
    accommodate mgmt vrf being enabled by default.  Changes are in
    ntp.postinst, ntp.postrm, ntp.prerm after the DEBHELPER keyword.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 19 Feb 2020 13:48:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u1) unstable; urgency=medium

  * netlink-sock-buffer-size.patch: Set netlink sock buffer size to 16Mbytes.
  * ntp.conf.patch: Use *.cumulusnetworks.pool.ntp.org and listen only on
    eth0.
  * ntp.service.patch: Wait until network is online before starting ntp.

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 14 Feb 2020 12:53:00 -0800

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
                pps-tools [linux-any]
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
 Standards-Version: 4.1.3.0
-Rules-Requires-Root: no
 Homepage: http://support.ntp.org/
 Vcs-Browser: https://salsa.debian.org/pkg-ntp-team/ntp
 Vcs-Git: https://salsa.debian.org/pkg-ntp-team/ntp.git
+XS-Build-Source: True
+XS-Cumulus-Valid-Arch: amd64 armel
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp
 Architecture: any
@@ -46,6 +48,7 @@
  .
  For more information about the NTP protocol and NTP server
  configuration and operation, install the package "ntp-doc".
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntpdate
 Architecture: any
@@ -58,6 +61,7 @@
  .
  ntpdate is deprecated. Please use sntp instead for manual or scripted
  NTP queries/syncs.
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp-doc
 Architecture: all
@@ -74,6 +78,7 @@
  ntpdate).  Since there are no substantive man pages for ntp's
  programs and configuration files, this package is desirable for any
  setup beyond the simple default configuration.
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: sntp
 Architecture: any
@@ -89,3 +94,5 @@
  sntp can be used as an SNTP client to query a NTP or SNTP server and
  either display the time or set the local system's time. It is not
  sufficient, however, for maintaining an accurate clock in the long run.
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
+

=== debian/rules ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 override_dh_install:
 	install -D -m 0755 scripts/ntpsweep/ntpsweep debian/ntp/usr/bin/ntpsweep
-	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
+	#install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
 	install -D -m 0755 debian/ntp.networkmanager debian/ntp/etc/NetworkManager/dispatcher.d/ntp
-	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
+	#install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
 	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian
 
 	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf
@@ -63,8 +63,8 @@
 	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*
 
 override_dh_installinit:
-	dh_installinit -pntp --error-handler=installinit_error --no-restart-after-upgrade
-	dh_installinit -pntpdate --no-restart-after-upgrade
+	dh_installinit -pntp --error-handler=installinit_error --no-restart-after-upgrade --no-start
+	dh_installinit -pntpdate --no-restart-after-upgrade --no-start
 	dh_apparmor --profile-name=usr.sbin.ntpd -pntp
 
 override_dh_auto_test:
@@ -74,3 +74,68 @@
 else
 	dh_auto_test || echo "Ignoring testsuite error"
 endif
+
+# Copied from "dh binary-arch --no-act".
+# dh_systemd_enable and dh_systemd_start changed because
+# ntp is run under ntp@mgmt.service instead of ntp.service.
+# create-stamp removed because it is not present.
+binary-arch: build install
+	dh_testdir -a
+	dh_update_autotools_config -a
+	dh_autoreconf -a
+	debian/rules override_dh_auto_configure
+	dh_auto_build -a
+	debian/rules override_dh_auto_test
+	#create-stamp debian/debhelper-build-stamp
+	dh_testroot -a
+	dh_prep -a
+	dh_installdirs -a
+	dh_auto_install -a
+	debian/rules override_dh_install
+	dh_installdocs -a
+	dh_installchangelogs -a
+	dh_installexamples -a
+	dh_installman -a
+	dh_installcatalogs -a
+	dh_installcron -a
+	dh_installdebconf -a
+	dh_installemacsen -a
+	dh_installifupdown -a
+	dh_installinfo -a
+	#dh_systemd_enable -a
+	dh_systemd_enable --no-enable --name=ntp ntp.service
+	dh_systemd_enable --no-enable --name=ntp@ ntp@.service
+	#dh_systemd_start -a
+	dh_systemd_start --no-start --name=ntp ntp.service
+	dh_systemd_start --no-start --name=ntp@ ntp@.service
+	debian/rules override_dh_installinit
+	dh_installmenu -a
+	dh_installmime -a
+	dh_installmodules -a
+	dh_installlogcheck -a
+	dh_installlogrotate -a
+	dh_installpam -a
+	dh_installppp -a
+	dh_installudev -a
+	dh_installgsettings -a
+	dh_bugfiles -a
+	dh_ucf -a
+	dh_lintian -a
+	dh_gconf -a
+	dh_icons -a
+	dh_perl -a
+	dh_usrlocal -a
+	dh_link -a
+	dh_installwm -a
+	dh_installxfonts -a
+	dh_strip_nondeterminism -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_missing -a
+	dh_strip -a
+	dh_makeshlibs -a
+	dh_shlibdeps -a
+	dh_installdeb -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a

## ntp 4.2.8p13+dfsg

=== debian/changelog ===
ntp (1:4.2.8p13+dfsg-2) unstable; urgency=medium

  * Upload new upstream version to unstable
  * AppArmor: fix path to Samba NTP signing socket (Closes: #928168)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 08 Jul 2019 00:22:04 +0200

ntp (1:4.2.8p13+dfsg-1) experimental; urgency=medium

   * New upstream version 4.2.8p13+dfsg
     - CVE-2019-8936: Crafted null dereference attack in authenticated
       mode 6 packet (Closes: #924228)
   * ntp: exit 0 from init script if daemon does not exist (Closes: #764546)
   * Drop locking from ntp initscript/systemd-wrapper
   * Only delete ntpd statistics files in cronjob (Closes: #772790)

 -- Bernhard Schmidt <berni@debian.org>  Thu, 21 Mar 2019 23:31:10 +0100

## ntp 4.2.8p15%2Bdfsg

=== debian/changelog ===
ntp (1:4.2.8p15+dfsg-1.0antix1) unstable; urgency=medium

  * add runit sevice
  * edit post/pre scripts for runit and sysVinit 

 -- anticapitalista <antix@operamail.com>  Tue, 07 Dec 2021 20:52:03 +0200

ntp (1:4.2.8p15+dfsg-1) unstable; urgency=medium

  * Reapply DFSG-cleanup.

 -- Bernhard Schmidt <berni@debian.org>  Wed, 23 Sep 2020 13:46:38 +0200

ntp (1:4.2.8p15-1) unstable; urgency=medium

  * New upstream version 4.2.8p15
  * Build with -fcommon to fix FTBFS with GCC-10 (Closes: #957615)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 21 Sep 2020 23:07:42 +0200

ntp (1:4.2.8p14+dfsg-2) unstable; urgency=medium

  * Make test-suite non-fatal on ia64 ppc64 ppc64el where it still fails
    - Also on m68k where we don't know yet due to Bug#931630
  * Drop obsolete Breaks+Replaces from pre-oldstable
  * Add Conflict/Replaces/Provides: time-daemon (Closes: #316549)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 10 Mar 2020 08:38:28 +0100

ntp (1:4.2.8p14+dfsg-1) unstable; urgency=medium

  * New upstream version 4.2.8p14+dfsg
  * Drop patches applied upstream
  * Enable testsuite on all architectures, should be fixed

 -- Bernhard Schmidt <berni@debian.org>  Fri, 06 Mar 2020 19:38:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -D_GNU_SOURCE
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS) -fno-strict-aliasing -fcommon
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	# autoreconf is already called by ./bootstrap
	dh $@ --without autoreconf

override_dh_auto_configure:
ifeq (hurd, $(DEB_HOST_ARCH_OS))
	# hurd does not provided the system calls needed for ntpd to work.
	exit 1
endif
	# This is necessary for the changes in sntp-kod-location.patch to
	# take effect
	rm sntp/sntp-opts.c
	./bootstrap

	dh_auto_configure -- CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--enable-all-clocks --enable-parse-clocks --enable-SHM \
		--enable-debugging --sysconfdir=/var/lib/ntp \
		--with-lineeditlibs=edit \
		--without-ntpsnmpd \
		--disable-local-libopts \
		--disable-local-libevent \
		--enable-ntp-signd \
		--disable-dependency-tracking \
		--with-locfile=debian \
		--with-openssl-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	install -D -m 0755 scripts/ntpsweep/ntpsweep debian/ntp/usr/bin/ntpsweep
	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
	install -D -m 0755 debian/ntp.networkmanager debian/ntp/etc/NetworkManager/dispatcher.d/ntp
	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian

	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf

	# install apparmor profile
	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd

	# install apport hook
	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py

	# Remove empty directory (/usr/libexec/)
	find debian/tmp -type d -empty -delete

	ls -laR debian/tmp/usr/share/man/
	dh_install --fail-missing

	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*

override_dh_installinit:
	dh_installinit -pntp --error-handler=installinit_error --no-restart-after-upgrade
	dh_installinit -pntpdate --no-restart-after-upgrade
	dh_apparmor --profile-name=usr.sbin.ntpd -pntp

override_dh_auto_test:
# Make the test suite non-fatal on arches where it does not work yet
ifeq (,$(filter ia64 m68k ppc64 ppc64el, $(DEB_HOST_ARCH)))
	dh_auto_test
else
	dh_auto_test || echo "Ignoring testsuite error"
endif

## ntp 4.2.8p15+dfsg

=== libjsmn/Makefile ===
# You can put your build options here
-include config.mk

all: libjsmn.a 

libjsmn.a: jsmn.o
	$(AR) rc $@ $^

%.o: %.c jsmn.h
	$(CC) -c $(CFLAGS) $< -o $@

test: jsmn_test
	./jsmn_test

jsmn_test: jsmn_test.o
	$(CC) $(LDFLAGS) -L. -ljsmn $< -o $@

jsmn_test.o: jsmn_test.c libjsmn.a

simple_example: example/simple.o libjsmn.a
	$(CC) $(LDFLAGS) $^ -o $@

jsondump: example/jsondump.o libjsmn.a
	$(CC) $(LDFLAGS) $^ -o $@

clean:
	rm -f jsmn.o jsmn_test.o example/simple.o
	rm -f jsmn_test
	rm -f jsmn_test.exe
	rm -f libjsmn.a
	rm -f simple_example
	rm -f jsondump

.PHONY: all clean test

=== debian/changelog ===
ntp (1:4.2.8p15+dfsg-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:13:02 +0000

ntp (1:4.2.8p15+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/ntp.conf, d/ntpdate.default: Change default server to ntp.ubuntu.com.
    - add support for parsing systemd networkd lease files LP: 1717983
      + d/ntp.dhcp add support for parsing systemd networkd lease files
      + d/ntp-systemd-netif.service: service to call hook
      + d/ntp-systemd-netif.path: respond to lease changes
  * Dropped changes, included in Debian:
    - Add Conflict/Replaces/Provides: time-daemon.
    - debian/rules: add -fcommon flag to CFLAGS
  * Dropped changes, included upstream:
    - debian/patches/CVE-2019-8936.patch: Guard against operations
      on NULL pointer in ntpd/ntp_control.c.
  * debian/patches/glibc-2.34.patch: compatibility with glibc 2.34.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 11:49:03 -0800

ntp (1:4.2.8p12+dfsg-3ubuntu7) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:04:04 +0100

ntp (1:4.2.8p12+dfsg-3ubuntu6) impish; urgency=medium

  * SECURITY UPDATE: Null dereference attack in mode 6 packet (LP: #1891953)
    - debian/patches/CVE-2019-8936.patch: Guard against operations
      on NULL pointer in ntpd/ntp_control.c.
    - CVE-2019-8936
  * Fix FTBFS with GCC-10
    - debian/rules: add -fcommon flag to CFLAGS

 -- Brian Morton <rokclimb15@gmail.com>  Fri, 27 Nov 2020 16:10:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Debian NTP Team <ntp@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian NTP Team <ntp@packages.debian.org>
 Uploaders: Kurt Roeckx <kurt@roeckx.be>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: autogen,
@@ -16,12 +17,10 @@
                pps-tools [linux-any]
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
 Standards-Version: 4.1.3.0
+Rules-Requires-Root: no
 Homepage: http://support.ntp.org/
 Vcs-Browser: https://salsa.debian.org/pkg-ntp-team/ntp
 Vcs-Git: https://salsa.debian.org/pkg-ntp-team/ntp.git
-XS-Build-Source: True
-XS-Cumulus-Valid-Arch: amd64 armel
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp
 Architecture: any
@@ -33,8 +32,9 @@
          ${shlibs:Depends}
 Recommends: sntp, ${perl:Depends}
 Suggests: ntp-doc
-Breaks: apparmor-profiles-extra (<< 1.8)
-Replaces: apparmor-profiles-extra (<< 1.8)
+Provides: time-daemon
+Replaces: time-daemon
+Conflicts: time-daemon
 Description: Network Time Protocol daemon and utility programs
  NTP, the Network Time Protocol, is used to keep computer clocks
  accurate by synchronizing them over the Internet or a local network,
@@ -48,7 +48,6 @@
  .
  For more information about the NTP protocol and NTP server
  configuration and operation, install the package "ntp-doc".
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntpdate
 Architecture: any
@@ -61,7 +60,6 @@
  .
  ntpdate is deprecated. Please use sntp instead for manual or scripted
  NTP queries/syncs.
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp-doc
 Architecture: all
@@ -78,7 +76,6 @@
  ntpdate).  Since there are no substantive man pages for ntp's
  programs and configuration files, this package is desirable for any
  setup beyond the simple default configuration.
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: sntp
 Architecture: any
@@ -94,5 +91,3 @@
  sntp can be used as an SNTP client to query a NTP or SNTP server and
  either display the time or set the local system's time. It is not
  sufficient, however, for maintaining an accurate clock in the long run.
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
-

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,8 @@
 	install -D -m 0755 debian/ntp.networkmanager debian/ntp/etc/NetworkManager/dispatcher.d/ntp
 	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
 	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian
+	install -D -m 0644 debian/ntp-systemd-netif.path debian/ntp/lib/systemd/system/ntp-systemd-netif.path
+	install -D -m 0644 debian/ntp-systemd-netif.service debian/ntp/lib/systemd/system/ntp-systemd-netif.service
 
 	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf
 
@@ -63,6 +65,7 @@
 	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*
 
 override_dh_installinit:
+	dh_systemd_start -pntp ntp-systemd-netif.path
 	dh_installinit -pntp --error-handler=installinit_error --no-restart-after-upgrade
 	dh_installinit -pntpdate --no-restart-after-upgrade
 	dh_apparmor --profile-name=usr.sbin.ntpd -pntp

## ntp 4.2.8p15+dfsg-2

=== debian/changelog ===
ntp (1:4.2.8p15+dfsg-2-hurd.1) unreleased; urgency=low

  * Patch from Svante Signell to fix hurd-i386 build (ntptime is not built).
  * TODO: fix support when IPV6 network is not available.
  * patches/timeout.patch: Reduce timeout to 1s, 

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Dec 2012 19:23:52 +0100

=== debian/rules ===
#!/usr/bin/make -f

# hacks to avoid running these things during the build
export ACLOCAL    = : aclocal
export AUTOCONF   = : autoconf
export AUTOMAKE   = : automake
export AUTOHEADER = : autoheader

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -D_GNU_SOURCE
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS) -fno-strict-aliasing
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

config.status:
	dh_testdir
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
	ntp_cv_hdr_def_sigpoll=no ./configure CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
		--prefix=/usr \
		--enable-all-clocks --enable-parse-clocks --enable-SHM \
		--disable-debugging --sysconfdir=/var/lib/ntp \
		--with-sntp=no \
		--with-lineeditlibs=edit \
		--without-ntpsnmpd \
		--disable-local-libopts \
		--enable-ntp-signd \
		--disable-dependency-tracking \
		--with-openssl-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) -k distclean
	rm -f config.guess config.sub
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/ntp

	# move the administrator programs from /usr/bin to /usr/sbin
ifeq (hurd, $(DEB_HOST_ARCH_OS))
	for file in ntpdate ntp-wait ntpd ntp-keygen; do \
		mv debian/ntp/usr/bin/$$file debian/ntp/usr/sbin/$$file || exit; \
	done
else
	for file in ntpdate ntp-wait ntpd ntptime ntp-keygen; do \
		mv debian/ntp/usr/bin/$$file debian/ntp/usr/sbin/$$file || exit; \
	done
endif

	# don't install tickadj
	rm debian/ntp/usr/bin/tickadj

	install -D -m 0755 scripts/ntpsweep debian/ntp/usr/bin/ntpsweep
	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian

	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf

	# remove upstream man pages, which are currently not as nice as ours / ntpsnmpd we don't want
	rm $(addprefix debian/ntp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntp-keygen.1 ntpq.1 ntpsnmpd.1)

	dh_movefiles --sourcedir=debian/ntp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i html
	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*
	dh_installexamples -i
	dh_installman -i
	dh_installcron -i
	dh_installlogcheck -i
	dh_installchangelogs -i
	dh_installifupdown -i
	dh_perl -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_installinit -pntp --update-rcd-params="start 23 2 3 4 5 ." --error-handler=installinit_error
	dh_installinit -pntpdate
	dh_installcron -a
	dh_installlogcheck -a
	dh_installchangelogs -a
	dh_installifupdown -a
	dh_perl -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
